package com.chinaweal.aiccs.aiccs.expelled.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.chinaweal.aiccs.aiccs.expelled.entity.ExpelledEntInfo;

import java.util.List;

/**
 * @Description: 市场主体拟除名名单企业信息表接口类
 * @Author: TiAmo-cc
 * @Email: 1049976610@qq.com
 * @Date: 2026/1/7 10:34
 */
public interface IExpelledEntInfoService extends IService<ExpelledEntInfo> {

    /**
     * 保存更新市场主体拟除名名单企业信息
     */
    void saveExpelledEntInfo(ExpelledEntInfo query);

    /**
     * 查询市场主体拟除名名单企业信息
     */
    ExpelledEntInfo getExpelledEntInfo(String bizId, String expelledId);

    /**
     * 根据告知书编号查询市场主体拟除名名单企业信息
     */
    ExpelledEntInfo getExpelledEntInfo(String noticeNo);

    /**
     * 生成告知书编号
     */
    String generateNoticeNo();

    /**
     * 查询告知业务的拟除名企业信息
     */
    List<ExpelledEntInfo> searchEntInfoByBizId(String bizId);
}
